# Create a transfer

`POST /accounts/{accountID}/transfers`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Move money by providing the source, destination, and amount in the request body.

Read our [transfers overview guide](https://docs.moov.io/guides/money-movement/overview/) to learn more. 

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/transfers.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `x-idempotency-key` | header | string | Yes | Identifies a unique request to create a transfer. In order to avoid creating duplicate transfers, the same idempotency key should be reused when retrying a request. |
| `x-wait-for` | header | string |  | Optional header that indicates whether to return a synchronous response that includes full transfer and rail-specific details or an asynchronous response indicating the transfer was created (this is the default response if the header is omitted). A timeout will occur after 15 seconds. Values: `rail-response`. |
| `accountID` | path | string | Yes | Your Moov account ID. |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `source` | object | Yes | Where funds for a transfer originate. For the source, you must include either a `paymentMethodID` or a `transferID`. |
| `source.transferID` | string |  | A `transferID` is used to create a [transfer group](https://docs.moov.io/guides/money-movement/transfer-groups/), associating the new transfer with a parent transfer. |
| `source.paymentMethodID` | string |  |  |
| `source.paymentToken` | string |  |  |
| `destination` | object | Yes | The final stage of a transfer and the ultimate recipient of the funds. |
| `destination.paymentMethodID` | string | Yes |  |
| `options` | object |  | Rail-specific options for a new transfer. Set only the key that matches the transfer's rail. |
| `options.cardPayment` | object |  |  |
| `options.cardPayment.dynamicDescriptor` | string |  | An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field. |
| `options.cardPayment.transactionSource` | string |  | Specifies the nature and initiator of a transaction. Crucial for recurring and merchant-initiated transactions as per card scheme rules. Omit for customer-initiated e-commerce transactions. Values: `first-recurring`, `recurring`, `unscheduled`. |
| `options.pushToCard` | object |  |  |
| `options.pushToCard.dynamicDescriptor` | string |  | An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field. |
| `options.pushToCard.scheduledDeliveryOn` | string (date-time) |  | The scheduled date and time for the transfer to be delivered. This field is only valid for push-to-card transfers. Must be between 24 and 48 hours in the future in production. In sandbox mode, any future time up to 48 hours is accepted so integrations can test deferred delivery using the sandbox test cards with relaxed wait times. |
| `options.pushToCard.payoutType` | string |  | An optional field to specify the type of card payout, used to route the transfer with the appropriate business application identifier (BAI). Values: `loyalty`. |
| `options.pullFromCard` | object |  |  |
| `options.pullFromCard.dynamicDescriptor` | string |  | An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field. |
| `options.pullFromCard.transactionSource` | string |  | Specifies the nature and initiator of a transaction. Crucial for recurring and merchant-initiated transactions as per card scheme rules. Omit for customer-initiated e-commerce transactions. Values: `first-recurring`, `recurring`, `unscheduled`. |
| `options.achDebit` | object |  |  |
| `options.achDebit.companyEntryDescription` | string |  | An optional override of the default NACHA company entry description for a transfer. |
| `options.achDebit.originatingCompanyName` | string |  | An optional override of the default NACHA company name for a transfer. |
| `options.achDebit.debitHoldPeriod` | string |  | An optional override of your default ACH hold period in banking days. The hold period must be longer than or equal to your default setting. Values: `no-hold`, `1-day`, `2-days`. |
| `options.achDebit.secCode` | string |  | Code used to identify the ACH authorization method. Values: `WEB`, `PPD`, `CCD`, `TEL`. |
| `options.achDebit.addenda` | array of object |  |  |
| `options.achDebit.addenda[].record` | string | Yes | The raw ACH addenda record. Must only contain valid NACHA characters |
| `options.achCredit` | object |  |  |
| `options.achCredit.companyEntryDescription` | string |  | An optional override of the default NACHA company entry description for a transfer. |
| `options.achCredit.originatingCompanyName` | string |  | An optional override of the default NACHA company name for a transfer. |
| `options.achCredit.addenda` | array of object |  |  |
| `options.achCredit.addenda[].record` | string | Yes | The raw ACH addenda record. Must only contain valid NACHA characters |
| `amount` | object | Yes |  |
| `amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `facilitatorFee` | object |  | Total or markup fee to apply when creating a transfer. |
| `facilitatorFee.total` | object |  | Total facilitator fee. Only either `total` or `markup` can be set. |
| `facilitatorFee.total.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `facilitatorFee.total.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `facilitatorFee.markup` | object |  | Markup facilitator fee. Only either `total` or `markup` can be set. |
| `facilitatorFee.markup.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `facilitatorFee.markup.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `description` | string |  | An optional description of the transfer that is used on receipts and for your own internal use. |
| `metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `lineItems` | object |  | An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount. |
| `lineItems.items` | array of object | Yes | The list of line items. |
| `lineItems.items[].name` | string | Yes | The name of the item. |
| `lineItems.items[].basePrice` | object | Yes | The base price of the item before applying option modifiers. |
| `lineItems.items[].basePrice.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `lineItems.items[].basePrice.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `lineItems.items[].quantity` | integer (int32) | Yes | The quantity of this item. |
| `lineItems.items[].options` | array of object |  | Optional list of modifiers applied to this item (e.g., toppings, upgrades, customizations). |
| `lineItems.items[].options[].name` | string | Yes | The name of the option or modifier. |
| `lineItems.items[].options[].quantity` | integer (int32) | Yes | The quantity of this option. |
| `lineItems.items[].options[].priceModifier` | object |  | Optional price modification applied by this option. Can be positive, negative, or zero. |
| `lineItems.items[].options[].priceModifier.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `lineItems.items[].options[].priceModifier.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `lineItems.items[].options[].imageIDs` | array of string |  | Optional list of images associated with this line item option. This field is being deprecated in favor using the images associated with a productID and will soon be unsupported. |
| `lineItems.items[].options[].group` | string |  | Optional group identifier to categorize related options (e.g., 'toppings'). |
| `lineItems.items[].imageIDs` | array of string |  | Optional list of images associated with this line item. This field is being deprecated in favor using the images associated with a productID and will soon be unsupported. |
| `lineItems.items[].productID` | string |  | Optional unique identifier associating the line item with a product. This is for reporting or tracking purposes, and does not populate other details of the line item. |
| `amountDetails` | object |  |  |
| `amountDetails.tip` | object |  | The amount of tip applied to the transfer. |
| `amountDetails.tip.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amountDetails.tip.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `amountDetails.tax` | object |  | The amount of tax applied to the transfer. |
| `amountDetails.tax.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amountDetails.tax.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `amountDetails.surcharge` | object |  | The amount of surcharge applied to the transfer. |
| `amountDetails.surcharge.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amountDetails.surcharge.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `feePaidBy` | object |  | Indicates which party bears fees for a transfer, keyed by fee type. |
| `feePaidBy.payout` | string |  | Defaults to `source`. Values: `source`, `destination`. |

Example:

```json
{
  "source": {
    "paymentMethodID": "9506dbf6-4208-44c3-ad8a-e4431660e1f2"
  },
  "destination": {
    "paymentMethodID": "3f9969cf-a1f3-4d83-8ddc-229a506651cf"
  },
  "options": {
    "cardPayment": {
      "dynamicDescriptor": "WhlBdy *Yoga 11-12"
    }
  },
  "amount": {
    "currency": "USD",
    "valueDecimal": "329.45"
  },
  "amountDetails": {
    "tip": {
      "currency": "USD",
      "valueDecimal": "3.50"
    },
    "tax": {
      "currency": "USD",
      "valueDecimal": "8.25"
    }
  },
  "description": "Transfer from card to wallet",
  "metadata": {
    "optional": "metadata"
  }
}
```

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `transferID` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `transferType` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. The rail and direction used to move funds for a transfer. Values: `card-payment`, `push-to-card`, `pull-from-card`, `ach-debit`, `ach-credit`, `ach-debit-to-ach-credit`, `instant-bank-credit`, `wallet`. |
| `createdOn` | string (date-time) |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `source` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `source.transferID` | string |  | String present only if the transfer is part of a transfer group. |
| `source.paymentMethodID` | string |  |  |
| `source.paymentMethodType` | string |  | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `source.account` | object |  |  |
| `source.bankAccount` | object |  | A bank account as contained within a payment method. |
| `source.wallet` | object |  |  |
| `source.card` | object |  | A card as contained within a payment method. |
| `source.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `source.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `source.terminalCard` | object |  | Describes payment card details captured with tap or in-person payment. |
| `destination` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `destination.paymentMethodID` | string |  |  |
| `destination.paymentMethodType` | string |  | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `destination.account` | object |  |  |
| `destination.bankAccount` | object |  | A bank account as contained within a payment method. |
| `destination.wallet` | object |  |  |
| `destination.card` | object |  | A card as contained within a payment method. |
| `destination.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `destination.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `completedOn` | string (date-time) |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `status` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Status of a transfer. Values: `created`, `pending`, `completed`, `failed`, `reversed`, `queued`, `awaiting-capture`, `canceled`. |
| `failureReason` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Reason for a transfer's failure. Values: `source-payment-error`, `destination-payment-error`, `wallet-insufficient-funds`, `rejected-high-risk`, `processing-error`. |
| `amount` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Amount associated with this transfer. In v2026.10 and later, an auth-capture `card-payment` transfer reports the approved authorization amount until a final capture is created. For these transfers, when a final capture is created, this is updated to the cumulative captured amount. For other transfer types, this is the transfer amount. |
| `amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `description` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. An optional description of the transfer that is used on receipts and for your own internal use. |
| `metadata` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `facilitatorFee` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Total or markup fee. |
| `facilitatorFee.total` | object |  | Total facilitator fee. |
| `facilitatorFee.markup` | object |  | Markup facilitator fee. |
| `moovFee` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Fees charged to your platform account for transfers. |
| `moovFee.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `moovFee.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `moovFeeDetails` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Processing and pass-through costs that add up to the moovFee. |
| `moovFeeDetails.cardScheme` | object |  | Card scheme fees accrued during authorization and settlement. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.interchange` | object |  | Network interchange fee for Visa, Mastercard, or Discover. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.discount` | object |  | Network discount fee for American Express. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.moovProcessing` | object | Yes | Moov processing fee. String type represents dollars with up to 9 decimal place precision. |
| `groupID` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `refundedAmount` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `refundedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `refundedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `disputedAmount` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `disputedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `disputedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `sweepID` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `scheduleID` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `occurrenceID` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `paymentLinkCode` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `foreignID` | string |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Optional alias from a foreign/external system which can be used to reference this resource. |
| `lineItems` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount. |
| `lineItems.items` | array of object | Yes | The list of line items. |
| `amountDetails` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. The tip, tax, and surcharge portion of the transfer amount. For an auth-capture `card-payment` transfer, this is the aggregate of all captures' `amountDetails`. |
| `amountDetails.tip` | object |  | The amount of tip applied to the transfer. |
| `amountDetails.tax` | object |  | The amount of tax applied to the transfer. |
| `amountDetails.surcharge` | object |  | The amount of surcharge applied to the transfer. |
| `authorization` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. Authorization amounts. This field is present only for an auth-capture `card-payment` transfer. |
| `authorization.authorizationID` | string | Yes | Identifier for the authorization. |
| `authorization.requestedAmount` | object | Yes | Amount submitted for authorization. |
| `authorization.authorizedAmount` | object | Yes | Hold approved by the issuer. |
| `authorization.capturedAmount` | object | Yes | Cumulative amount of captures that have not failed or been canceled. |
| `authorization.capturableAmount` | object | Yes | Amount of the authorization still available after captures and authorization cancellations. |
| `authorization.amountDetails` | object |  | The tip, tax, and surcharge authorized by the card network. These describe the authorized amount and are fixed. They can differ from the transfer's `amountDetails`, which is the aggregate of all captures' `amountDetails`. |
| `authorization.expiresOn` | string (date-time) |  | Expiration time for the approved authorization, when available. |
| `options` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `options.cardPayment` | object |  |  |
| `options.pushToCard` | object |  |  |
| `options.pullFromCard` | object |  |  |
| `options.achDebit` | object |  |  |
| `options.achCredit` | object |  |  |
| `processingDetails` | object |  | Send exactly one of `transferID`, `transferType`, `createdOn`, `source`, `destination`, `completedOn`, `status`, `failureReason`, `amount`, `description`, `metadata`, `facilitatorFee`, `moovFee`, `moovFeeDetails`, `groupID`, `refundedAmount`, `disputedAmount`, `sweepID`, `scheduleID`, `occurrenceID`, `paymentLinkCode`, `foreignID`, `lineItems`, `amountDetails`, `authorization`, `options`, `processingDetails`. |
| `processingDetails.cardPayment` | object |  |  |
| `processingDetails.pushToCard` | object |  |  |
| `processingDetails.pullFromCard` | object |  |  |
| `processingDetails.achDebit` | object |  |  |
| `processingDetails.achCredit` | object |  |  |
| `processingDetails.instantBankCredit` | object |  |  |

## Response 201

A transfer was successfully created but an error occurred while generating the synchronous response. The asynchronous response object will be returned.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `transferID` | string | Yes |  |
| `createdOn` | string (date-time) | Yes |  |

## Response 202

The transfer was created, but rail-specific details may not be available within the 15 second timeout window.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `transferID` | string | Yes |  |
| `transferType` | string | Yes | The rail and direction used to move funds for a transfer. Values: `card-payment`, `push-to-card`, `pull-from-card`, `ach-debit`, `ach-credit`, `ach-debit-to-ach-credit`, `instant-bank-credit`, `wallet`. |
| `createdOn` | string (date-time) | Yes |  |
| `source` | object | Yes |  |
| `source.transferID` | string |  | String present only if the transfer is part of a transfer group. |
| `source.paymentMethodID` | string |  |  |
| `source.paymentMethodType` | string |  | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `source.account` | object |  |  |
| `source.bankAccount` | object |  | A bank account as contained within a payment method. |
| `source.wallet` | object |  |  |
| `source.card` | object |  | A card as contained within a payment method. |
| `source.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `source.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `source.terminalCard` | object |  | Describes payment card details captured with tap or in-person payment. |
| `destination` | object | Yes |  |
| `destination.paymentMethodID` | string |  |  |
| `destination.paymentMethodType` | string |  | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `destination.account` | object |  |  |
| `destination.bankAccount` | object |  | A bank account as contained within a payment method. |
| `destination.wallet` | object |  |  |
| `destination.card` | object |  | A card as contained within a payment method. |
| `destination.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `destination.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `completedOn` | string (date-time) |  |  |
| `status` | string | Yes | Status of a transfer. Values: `created`, `pending`, `completed`, `failed`, `reversed`, `queued`, `awaiting-capture`, `canceled`. |
| `failureReason` | string |  | Reason for a transfer's failure. Values: `source-payment-error`, `destination-payment-error`, `wallet-insufficient-funds`, `rejected-high-risk`, `processing-error`. |
| `amount` | object | Yes | Amount associated with this transfer. In v2026.10 and later, an auth-capture `card-payment` transfer reports the approved authorization amount until a final capture is created. For these transfers, when a final capture is created, this is updated to the cumulative captured amount. For other transfer types, this is the transfer amount. |
| `amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `description` | string |  | An optional description of the transfer that is used on receipts and for your own internal use. |
| `metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `facilitatorFee` | object |  | Total or markup fee. |
| `facilitatorFee.total` | object |  | Total facilitator fee. |
| `facilitatorFee.markup` | object |  | Markup facilitator fee. |
| `moovFee` | object |  | Fees charged to your platform account for transfers. |
| `moovFee.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `moovFee.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `moovFeeDetails` | object |  | Processing and pass-through costs that add up to the moovFee. |
| `moovFeeDetails.cardScheme` | object |  | Card scheme fees accrued during authorization and settlement. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.interchange` | object |  | Network interchange fee for Visa, Mastercard, or Discover. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.discount` | object |  | Network discount fee for American Express. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.moovProcessing` | object | Yes | Moov processing fee. String type represents dollars with up to 9 decimal place precision. |
| `moovFees` | array of object |  | Fees charged to accounts involved in the transfer. |
| `moovFees[].accountID` | string | Yes | ID of the account that fees were charged to. |
| `moovFees[].transferParty` | string | Yes | Indicates whether the account charged was the partner, source, or destination of the transfer. Values: `source`, `destination`, `partner`. |
| `moovFees[].totalAmount` | object | Yes | The total amount of fees charged to the account. |
| `moovFees[].feeIDs` | array of string | Yes | List of fee IDs that sum to the totalAmount. |
| `groupID` | string |  |  |
| `refundedAmount` | object |  |  |
| `refundedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `refundedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `disputedAmount` | object |  |  |
| `disputedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `disputedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `sweepID` | string |  | ID of the sweep that created this transfer. |
| `scheduleID` | string |  |  |
| `occurrenceID` | string |  |  |
| `paymentLinkCode` | string |  |  |
| `foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `lineItems` | object |  | An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount. |
| `lineItems.items` | array of object | Yes | The list of line items. |
| `invoiceID` | string |  | ID of the invoice that the transfer is associated with. |
| `amountDetails` | object |  | The tip, tax, and surcharge portion of the transfer amount. For an auth-capture `card-payment` transfer, this is the aggregate of all captures' `amountDetails`. |
| `amountDetails.tip` | object |  | The amount of tip applied to the transfer. |
| `amountDetails.tax` | object |  | The amount of tax applied to the transfer. |
| `amountDetails.surcharge` | object |  | The amount of surcharge applied to the transfer. |
| `authorization` | object |  | Authorization amounts. This field is present only for an auth-capture `card-payment` transfer. |
| `authorization.authorizationID` | string | Yes | Identifier for the authorization. |
| `authorization.requestedAmount` | object | Yes | Amount submitted for authorization. |
| `authorization.authorizedAmount` | object | Yes | Hold approved by the issuer. |
| `authorization.capturedAmount` | object | Yes | Cumulative amount of captures that have not failed or been canceled. |
| `authorization.capturableAmount` | object | Yes | Amount of the authorization still available after captures and authorization cancellations. |
| `authorization.amountDetails` | object |  | The tip, tax, and surcharge authorized by the card network. These describe the authorized amount and are fixed. They can differ from the transfer's `amountDetails`, which is the aggregate of all captures' `amountDetails`. |
| `authorization.expiresOn` | string (date-time) |  | Expiration time for the approved authorization, when available. |
| `options` | object | Yes |  |
| `options.cardPayment` | object |  |  |
| `options.pushToCard` | object |  |  |
| `options.pullFromCard` | object |  |  |
| `options.achDebit` | object |  |  |
| `options.achCredit` | object |  |  |
| `processingDetails` | object | Yes |  |
| `processingDetails.cardPayment` | object |  |  |
| `processingDetails.pushToCard` | object |  |  |
| `processingDetails.pullFromCard` | object |  |  |
| `processingDetails.achDebit` | object |  |  |
| `processingDetails.achCredit` | object |  |  |
| `processingDetails.instantBankCredit` | object |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 404 | The requested resource was not found. |
| 409 | Attempted to create a transfer using a duplicate X-Idempotency-Key header. The body is the same as the 202 response. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X POST "https://api.moov.io/accounts/{accountID}/transfers" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00" \
  -H "X-Idempotency-Key: 7d8f2a64-4b1e-4c3a-9f2d-1e5b6c7a8d90" \
  -d '{
  "source": {
    "paymentMethodID": "9506dbf6-4208-44c3-ad8a-e4431660e1f2"
  },
  "destination": {
    "paymentMethodID": "3f9969cf-a1f3-4d83-8ddc-229a506651cf"
  },
  "options": {
    "cardPayment": {
      "dynamicDescriptor": "WhlBdy *Yoga 11-12"
    }
  },
  "amount": {
    "currency": "USD",
    "valueDecimal": "329.45"
  },
  "amountDetails": {
    "tip": {
      "currency": "USD",
      "valueDecimal": "3.50"
    },
    "tax": {
      "currency": "USD",
      "valueDecimal": "8.25"
    }
  },
  "description": "Transfer from card to wallet",
  "metadata": {
    "optional": "metadata"
  }
}'
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.create({
    xIdempotencyKey: "d6903402-776f-48d6-8fba-0358959d34e5",
    accountID: "ea9f2225-403b-4e2c-93b0-0eda090ffa65",
    createTransfer: {
      source: {
        paymentMethodID: "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
      },
      destination: {
        paymentMethodID: "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
      },
      options: {
        cardPayment: {
          dynamicDescriptor: "WhlBdy *Yoga 11-12",
        },
      },
      amount: {
        currency: "USD",
        valueDecimal: "329.45",
      },
      description: "Transfer from card to wallet",
      metadata: {
        "optional": "metadata",
      },
      amountDetails: {
        tip: {
          currency: "USD",
          valueDecimal: "3.50",
        },
        tax: {
          currency: "USD",
          valueDecimal: "8.25",
        },
      },
    },
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/money-movement/transfers/create/
